This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 438836 - frysk -sysroot limitations
frysk -sysroot limitations
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Stan Cox
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 11:11 EDT by Stan Cox
Modified: 2011-02-15 04:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stan Cox 2008-03-25 11:11:32 EDT
Description of problem:

The current -sysroot implementation finds debuginfo and source.  
For example: fhpd -sysroot /tmp/which-dir/ which
will find the executable, debuginfo and source:
/tmp/which-dir/usr/bin/which
/tmp/which-dir/usr/lib/debug/usr/bin/which.debug
/tmp/which-dir/usr/src/debug/which-2.16/which.c

However it will not find some executables, for instance those used by corefiles.

Note You need to log in before you can comment on or make changes to this bug.